-- About.lua
-- Written by Habna


function frmAbout()
	self = Turbine.UI.Lotro.Window();
	--self = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	self:SetSize( 350, 325 );
	local screenWidth, screenHeight = Turbine.UI.Display.GetSize()
	local winWidth, winHeight = self:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    self:SetPosition( left, top );
	self:SetText( "About HugeBag" );
	self:SetVisible( true );
	--self:SetZOrder( 2 );
	self:Activate();
	-- **^
	--**v Title & version Label v**
	lblTitle = Turbine.UI.Label();
	lblTitle:SetParent( self );
	lblTitle:SetText( "HugeBag v" .. Version .. "  (" .. RDate .. ")" );
	lblTitle:SetPosition( 20, 40 );
	lblTitle:SetSize( self:GetWidth() - 45 , 15 );
	lblTitle:SetTextAlignment( Turbine.UI.ContentAlignment.LeftCenter );
	lblTitle:SetForeColor( green );
	lblTitle:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^
	--**v Description Label v**
	lblDes = Turbine.UI.Label();
	lblDes:SetParent( self );
	lblDes:SetText( "This plugin will replace all your in-game bags into one HUGEBAG. This bag as several options so you can customise it to your needs. Just to mention a few, you can sort, merge and search your items, you can change is orientation, see how many free and used slots you have. \n\n This plugin is featuring 2 mode, window and widget mode. The widget mode has a sliding effect. Options & shell commands varies depending of the mode your are using. \n\n To see more options right click the 'Top Left' corner." );
	lblDes:SetPosition( lblTitle:GetLeft(), lblTitle:GetTop() + lblTitle:GetHeight() + 15 );
	lblDes:SetSize( lblTitle:GetWidth(), 200 );
	lblDes:SetTextAlignment( Turbine.UI.ContentAlignment.LeftCenter );
	lblDes:SetForeColor( white );
	lblDes:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^
	--**v Set Credit Label v**
	WMlabel = Turbine.UI.Label();
	WMlabel:SetParent( self );
	WMlabel:SetText( "The HugeBag code was originally written by Rod of Turbine and extended by Habna" );
	WMlabel:SetPosition( lblTitle:GetLeft(), lblDes:GetTop() + lblDes:GetHeight() + 5 );
	WMlabel:SetSize( lblTitle:GetWidth(), 25 );
	WMlabel:SetTextAlignment( Turbine.UI.ContentAlignment.LeftCenter );
	WMlabel:SetForeColor( green );
	WMlabel:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^

	--^ SETTINGS SECTION ^--
	--v EVENT HANDLERS SECTION v--
	--**v Window event handlers v**
	-- **v Set the opacity when the mouse enter the window v**
	self.MouseEnter = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	-- **v Set the opacity when the mouse leave the window v**
	self.MouseLeave = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^

	self.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			self:SetVisible(false);
		end
	end

	--**^ Window event handlers ^**

	--^ EVENT HANDLERS SECTION ^--
end
-- **^