-- functions.lua
-- Written By Habna


-- **v Unload v**
function UnloadHugeBag()
	--write( "HugeBag: Unloaded" );
	--Turbine.PluginManager.UnloadScriptState( 'HugeBag' );
end
-- **^
-- **v Reload v**
function ReloadHugeBag()
	--write( "HugeBag: Reloaded" );
	Turbine.PluginManager.LoadPlugin( 'HugeBag LootBug' );
	--UnloadHugeBag();
	--Turbine.PluginManager.LoadPlugin( 'HugeBag' );
end
-- **^
-- **v Toggle the ability to hide are not HugeBag when the 'esc' key is press v**
function ToggleWEsc()
	HideWEsc = ( not HideWEsc );
	SaveSettings();
	if ( HideWEsc ) then
		write( "HugeBag: I will hide when 'esc' key is press" );
	else
		write( "HugeBag: I will stay visible when 'esc' key is press" );
	end
end
-- **^
-- **v Toggle Startup Visibility v**
function ToggleShow()
	StartVisible = ( not StartVisible );
	SaveSettings();
	if ( StartVisible ) then
		write( "HugeBag: I will load visibile next time" );
	else
		write( "HugeBag: I will load hidden next time" );
	end
end
-- **^
-- **v Toggle between window and widget mode v**
function ToggleMode()
	Widget = ( not Widget );
	SaveSettings();
	if ( Widget ) then
		write( "HugeBag: Will load in widget mode next time" );
	else
		write( "HugeBag: Will load in window mode next time" );
	end
end
-- **^
-- **v Toggle ability to be always on top are not v**
function ToggleAlwaysOnTop()
	zOrder = ( not zOrder );
	SaveSettings();
	if ( zOrder ) then
		write( "HugeBag: Will be always on top" );
	else
		write( "HugeBag: Will not be always on top" );
	end
end
-- **^
-- **v Show About window v**
function ShowAbout()
	import "HabnaPlugins.HugeBag.about"; -- LUA About file
	frmAbout();
end
-- **^
-- **v Set background color v**
function SetBackgroundColor()
	import "HabnaPlugins.HugeBag.background"; -- LUA background file
	frmBackground();
end
-- **^
-- **v Show Shell Command window v**
function HelpInfo()
	import "HabnaPlugins.HugeBag.shellcmd"; -- LUA shell command file
	frmShellCmd();
end
-- **^
-- **v Show ListBox items v**
function ShowItems(ItemsToShow)
	if ItemsToShow == "all" then
		SearchInput.FocusLost( sender, args );
	else
		if AllVisible then
			for i = 1, backpackSize do
				Item = frmMain.backpack:GetItem( i );
				if Item ~= nil then frmMain.items[i]:SetVisible( false ); end
				AllVisible = false;
			end
		end
		for i = 1, backpackSize do
			Item = frmMain.backpack:GetItem( i );
			if Item ~= nil then
				ItemType = ItemCategory[Item:GetCategory()];
				if ItemsSel then
					if ItemType == ItemsToShow then	frmMain.items[i]:SetVisible( true ); end
				else
					if ItemType == ItemsToShow then	frmMain.items[i]:SetVisible( false ); end
				end
			end
		end
	end
end
-- **^
-- **v Move button to right v**
function MoveButton(MoveTo)
	LeftPos = MidPos - 50;
	RightPos = MidPos + 50;
	if ( MoveTo == "left" ) then
		if FromButton == "Sort" then
			if MergeButton:GetLeft() == LeftPos then
				SortLeft = LeftPos;
				SearchLeft = RightPos;
				MergeLeft = MidPos;
			else
				SortLeft = LeftPos;
				SearchLeft = MidPos;
				MergeLeft = RightPos;
			end
		elseif FromButton == "Search" then
			if SortButton:GetLeft() == LeftPos then
				SortLeft = MidPos;
				SearchLeft = LeftPos;
				MergeLeft = RightPos;
			else
				SortLeft = RightPos;
				SearchLeft = LeftPos;
				MergeLeft = MidPos;
			end
		elseif FromButton == "Merge" then
			if SortButton:GetLeft() == LeftPos then
				SortLeft = MidPos;
				SearchLeft = RightPos;
				MergeLeft = LeftPos;
			else
				SortLeft = RightPos;
				SearchLeft = MidPos;
				MergeLeft = LeftPos;
			end
		end
	else
		if FromButton == "Sort" then
			if MergeButton:GetLeft() == RightPos then
				SortLeft = RightPos;
				SearchLeft = LeftPos;
				MergeLeft = MidPos;
			else
				SortLeft = RightPos;
				SearchLeft = MidPos;
				MergeLeft = LeftPos;
			end
		elseif FromButton == "Search" then
			if SortButton:GetLeft() == RightPos then
				SortLeft = MidPos;
				SearchLeft = RightPos;
				MergeLeft = LeftPos;
			else
				SortLeft = LeftPos;
				SearchLeft = RightPos;
				MergeLeft = MidPos;
			end
		elseif FromButton == "Merge" then
			if SortButton:GetLeft() == RightPos then
				SortLeft = MidPos;
				SearchLeft = LeftPos;
				MergeLeft = RightPos;
			else
				SortLeft = LeftPos;
				SearchLeft = MidPos;
				MergeLeft = RightPos;
			end
		end
	end

	if ( ButtonAtTop ) then
		TopPos = 22;
	else
		TopPos = frmMain:GetHeight() - 16;
		if Widget then TopPos = 8; end
	end
	SortButton:SetPosition( SortLeft,  TopPos ); --> ** Replace 'Sort' button with HugeBag height **
	SearchButton:SetPosition( SearchLeft,  TopPos ); --> ** Replace 'Search' button with HugeBag height **
	MergeButton:SetPosition( MergeLeft, TopPos ); --> ** Replace 'Merge' button with HugeBag height **
	SaveSettings();
end
-- **^
-- **v Move all buttons to left side of window v**
function ButtonsLeft()
	if not ButtonAtLeft then
		if Widget then
			MidPos = 55;
			SortLeft = SortLeft - 225;
			SearchLeft = SearchLeft - 225;
			MergeLeft = MergeLeft - 225;
		else
			Diff = MidPos - 85;
			LeftPos, MidPos, RightPos = 35, 85, 135;
			SortLeft = SortLeft - Diff;
			SearchLeft = SearchLeft - Diff;
			MergeLeft = MergeLeft - Diff;
		end
		
		if ( ButtonAtTop ) then
			TopPos = 22;
		else
			TopPos = WinHeight - 16;
			if Widget then TopPos = 8; end
		end
		SortButton:SetPosition( SortLeft,  TopPos ); --> ** Replace 'Sort' button with HugeBag height **
		SearchButton:SetPosition( SearchLeft,  TopPos ); --> ** Replace 'Search' button with HugeBag height **
		MergeButton:SetPosition( MergeLeft, TopPos ); --> ** Replace 'Merge' button with HugeBag height **
		SearchInput:SetPosition( SortLeft,  TopPos - 7 ); --> ** Replace 'Search Box' with HugeBag height **
		ButtonAtLeft = true;
		SaveSettings();
	end
end
-- **^
-- **v Move all buttons to right side of window v**
function ButtonsRight()
	if ButtonAtLeft then
		if Widget then
			MidPos = 280;
			SortLeft = SortLeft + 225;
			SearchLeft = SearchLeft + 225;
			MergeLeft = MergeLeft + 225;
		else
			Diff = ( WinWidth - 185 ) - LeftPos;
			LeftPos = ( WinWidth - 185 );
			MidPos = LeftPos + 50;
			RightPos = MidPos + 50;
			SortLeft = SortLeft + Diff;
			SearchLeft = SearchLeft + Diff;
			MergeLeft = MergeLeft + Diff;	
		end
		
		if ( ButtonAtTop ) then
			TopPos = 22;
		else
			TopPos = WinHeight - 16;
			if Widget then TopPos = 8; end
		end
		SortButton:SetPosition( SortLeft,  TopPos ); --> ** Replace 'Sort' button with HugeBag height **
		SearchButton:SetPosition( SearchLeft,  TopPos ); --> ** Replace 'Search' button with HugeBag height **
		MergeButton:SetPosition( MergeLeft, TopPos ); --> ** Replace 'Merge' button with HugeBag height **
		SearchInput:SetPosition( SortLeft,  TopPos - 7 ); --> ** Replace 'Search Box' with HugeBag height **
		ButtonAtLeft = false;
		SaveSettings();
	end
end
-- **^

function LoadItemsCategory()
	ItemsCatDes = {};
	ItemsCatDesType = {};
	ItemsCatDes[1] = "Show Tools";
	ItemsCatDesType[1] = "Tool";
	ItemsCatDes[2] = "Show Devices";
	ItemsCatDesType[2] = "Device";
	ItemsCatDes[3] = "Show Foods";
	ItemsCatDesType[3] = "Food";
	ItemsCatDes[4] = "Show Jewelry";
	ItemsCatDesType[4] = "Jewelry";
	ItemsCatDes[5] = "Show Components";
	ItemsCatDesType[5] = "Component";
	ItemsCatDes[6] = "Show Craft Ingredients";
	ItemsCatDesType[6] = "CraftOptionalIngredient";
	ItemsCatDes[7] = "Show Fishing Pole";
	ItemsCatDesType[7] = "FishingPole";
	ItemsCatDes[8] = "Show Barter & Reputation";
	ItemsCatDesType[8] = "BarterReputation";

end

-- Create ten hacky resize cursors
function createCursor( cursorName, xOffset, yOffset, xSize, ySize )
	cursor = Turbine.UI.Window();
	cursor:SetSize( xSize, ySize );
	cursor:SetBackground( "HabnaPlugins/HugeBag/Resources/"..cursorName..".tga" );
	cursor:SetMouseVisible( false );
	cursor:SetZOrder( 10 );
	
	cursor.xOffset = xOffset;
	cursor.yOffset = yOffset;
	
	return cursor;
end

up_down_right_clic = createCursor( "up_down_right-click", 15, 12, 37, 23 );
resizeCursor = createCursor( "resize", 12, 12, 24, 24 );
resizeRightClicCursor = createCursor( "resize_right-click", 15, 12, 42, 24 );
rightclicCursor = createCursor( "right-click", 15, 15, 18, 23 );
lotroresizeCursor = createCursor( "lotro_resize", 12, 12, 24, 24 ); -- in-game cursor 32x32: 0x410000dd
updownCursor = createCursor( "resize_up_down", 8, 15, 11, 31 ); -- in-game cursor 32x32: 0x410081c0
leftrightCursor = createCursor( "resize_left_right", 15, 8, 31, 11 ); -- in-game cursor 32x32: 0x410081bf
--In-game normal cursor 32x32: 0x41007dc7

function ShowLeftRightCursor()
	if not LockSize then
		frmMain.cursor = leftrightCursor;
		local mouseX, mouseY = Turbine.UI.Display.GetMousePosition();
		frmMain.cursor:SetPosition( mouseX - frmMain.cursor.xOffset, mouseY - frmMain.cursor.yOffset);
		frmMain.cursor:SetVisible( true );
	end
end

function ShowUpDownCursor()
	if not LockSize then
		frmMain.cursor = updownCursor;
		local mouseX, mouseY = Turbine.UI.Display.GetMousePosition();
		frmMain.cursor:SetPosition( mouseX - frmMain.cursor.xOffset, mouseY - frmMain.cursor.yOffset);
		frmMain.cursor:SetVisible( true );
	end
end

function ShowLotroResizeCursor()
	if not LockPosition then
		frmMain.cursor = lotroresizeCursor;
		local mouseX, mouseY = Turbine.UI.Display.GetMousePosition();
		frmMain.cursor:SetPosition( mouseX - frmMain.cursor.xOffset, mouseY - frmMain.cursor.yOffset);
		frmMain.cursor:SetVisible( true );
	end
end

function ShowResizeCursor()
	if not LockSize then
		frmMain.cursor = resizeCursor;
		local mouseX, mouseY = Turbine.UI.Display.GetMousePosition();
		frmMain.cursor:SetPosition( mouseX - frmMain.cursor.xOffset, mouseY - frmMain.cursor.yOffset);
		frmMain.cursor:SetVisible( true );
	end
end

function ShowResizeRightClicCursor()
	if not LockSize then
		frmMain.cursor = resizeRightClicCursor;
	else
		frmMain.cursor = rightclicCursor;
	end
	local mouseX, mouseY = Turbine.UI.Display.GetMousePosition();
	frmMain.cursor:SetPosition( mouseX - frmMain.cursor.xOffset, mouseY - frmMain.cursor.yOffset);
	frmMain.cursor:SetVisible( true );
end

function mergetable(table1,list)
	for i = 1, #list do
		table2 = list[i];
		local LenTable1 = #table1;
		for a = LenTable1 + 1, #table1 + #table2 do
			table1[a] = table2[a - LenTable1];
		end
	end
end

function ChangeColor()
	frmMain.itemListBox:SetBackColor( Turbine.UI.Color( bcAlpha, curSelRed, curSelGreen, curSelBlue ) );
end

function isInArray(value) --(Remove when loot bug is fix by Turbine)
	for n = 1, #tCat do
		if tCat[n] == value then
			ItemKey = n;
			return true
		end
	end
	return false
end

function Add() --(Remove when loot bug is fix by Turbine)
	import "HabnaPlugins.HugeBag.swappable"; -- LUA swappable Menu file
	frmSwappable();
end

function table.RemoveDuplicate() --(Remove when loot bug is fix by Turbine)
	j = 0;
	
	for i = 1, #ttable do
		if ttable[i] ~= PrevValue  then
			j = j + 1;
			tCat[j] = ttable[i];
			PrevValue = ttable[i];
		end
	end
end