-- mix.lua
-- Written By Habna


function Mix()
	Timer = Turbine.UI.Control();

	function Timer:Start()
		SortButton:SetVisible( false );
		SearchButton:SetVisible( false );
		MergeButton:SetVisible( false );
		write( "HugeBag: mixing items started" );
		Start= Turbine.Engine.GetGameTime();
		Timer:SetWantsUpdates(true);
	end

	function Timer:Update()
		local Time = Turbine.Engine.GetGameTime();
		local elapsed = Time - Start;

		if elapsed < 5 then
			i = math.random(1, backpackSize);
			j = math.random(1, backpackSize);
			while j == i do
				j = math.random(1, backpackSize);
			end

			item = frmMain.backpack:GetItem(j);

			if item ~= nil then frmMain.backpack:PerformItemDrop( item,i, false ); end
		
			item = frmMain.backpack:GetItem(i);

			if item ~= nil then frmMain.backpack:PerformItemDrop( item,j, false ); end
		else
			write( "HugeBag: mixing items finished" );
			Turbine.PluginManager.LoadPlugin( 'HugeBag LootBug' );
		end
	end
	
	Timer:Start();
end